.trackCardContainer {
  display: flex;
  flex-direction: row;
  border: 1px solid var(--color-primary);
  border-radius: 5px;
  min-width: 480px;
  max-width: 45%;
  min-height: 200px;
  padding: 15px;
  margin-bottom: 40px;
  box-sizing: border-box;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.trackCardContainer:hover{
  box-shadow: 6px 6px 6px var(--color-black-light) ;
  -webkit-transform: translateY(-2px) translateX(-2px);
  transform: translateY(-2px) translateX(-2px);
}

.trackCardLeft{
  width: 65px;
  height: 100%;
}

.trackCardMiddle{
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  padding: 0 20px;
  font-size: var(--font-size-text);
  color: var(--color-primary);
}

.trackCardMiddleTitle{
  color: var(--color-black);
  font-size: var(--font-size-h2);
  font-weight: 900;
  padding: 5px 0 10px; 
}

.trackCardDescription{
  color: var(--color-black);
  margin-top: 15px;
}

.trackCardRight{
  width: 100px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.trackCardGreen{
  width: 90px;
  height: 60px;
  padding: 5px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  text-align: center;
  background-color: var(--color-primary);
  border-radius: 8px;
  color: var(--color-white);
  font-size: var(--font-size-text);
}

.trackCardGreenTitle{
  font-size: var(--font-size-legend);
}

.trackCardMiniContainer {
  width: 320px;
  height: 240px;
  border: 4px solid var(--color-primary);
  margin-right: 30px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.trackCardMiniContainer:hover{
  box-shadow: 6px 6px 6px var(--color-black-light) ;
  -webkit-transform: translateY(-2px) translateX(-2px);
  transform: translateY(-2px) translateX(-2px);
}

.trackCardMiniWrapper {
  width: 100%;
  height: 100%;
  border: 4px solid var(--color-primary-opacity);
  padding: 20px 10px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
}

.trackCardMiniWrapper .track {
  color: var(--color-primary);
  margin-bottom: 10px;
  font-size: var(--font-size-legend);
}

.trackCardMiniWrapper .trackCardMiniIcon{
  position:absolute;
  right: 10px;
  top: 1px
}
.trackCardMiniWrapper .trackCardMinibadge {
  align-self: center;
}

.trackCardMiniWrapper .trackTitle {
  font-size: var(--font-size-h3);
  color: var(--color-black);
  font-weight: bold;
  margin: 10px 0;
  text-align: center;
}

.trackCardMiniWrapper .lineBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 10px;
  justify-content: space-between;
}

.trackCardMiniWrapper .lineBox .line{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.trackCardMiniWrapper .lineBox .line .icon {
  width: 20px;
  text-align: center;
}

.trackCardMiniWrapper .lineBox .line .lineDetail {
  display: flex;
  flex-direction: column;
  padding-left: 12px;
  color: var(--color-gray);
  font-size: var(--font-size-legend);
}
.trackCardMiniWrapper .lineBox .line .lineDetail .heavy {
  font-weight: 600;
}